Skip to Content

NWDS 7.5 - Multiple errors with SAPUI5, oData plugins

Hello Experts,

I've installed NWDS 7.5 SP3 Patch 4 on my workstation (which is Windows 7 64bit).

Then I added the SAPUI5, oData plugins and additional SAP plugins.

Eclipse version:

Version: Mars.1 Release (4.5.1)

Build id: 20150924-1200

Java version: 1.8.0_77.

When I open eclipse (or try to navigate between views) I get multiple errors (see log files).

It seems that the SAP plugins are causing the errors.

When I tried to uninstall the 'The API toolkit for SAP Mobile Platform' I got the following error:

Cannot complete the install because one or more required items could not be found.

Software currently installed: Eclipse IDE for Java EE Developers 4.5.1.20150917-1200 (epp.package.jee 4.5.1.20150917-1200)

Missing requirement: XML Schema Editor 1.2.500.v201208081537 (org.eclipse.wst.xsd.ui 1.2.500.v201208081537) requires 'bundle org.eclipse.xsd.edit [2.2.0,3.0.0)' but it could not be found

Cannot satisfy dependency:

From: Eclipse IDE for Java EE Developers 4.5.1.20150917-1200 (epp.package.jee 4.5.1.20150917-1200)

To: org.eclipse.epp.package.jee.feature.feature.group [4.5.1.20150917-1200]

Cannot satisfy dependency:

From: EPP Java EE IDE Feature 4.5.1.20150917-1200 (org.eclipse.epp.package.jee.feature.feature.group 4.5.1.20150917-1200)

To: org.eclipse.wst.xml_ui.feature.feature.group 0.0.0

Cannot satisfy dependency:

From: Eclipse XML Editors and Tools 3.7.1.v201508271605 (org.eclipse.wst.xml_ui.feature.feature.group 3.7.1.v201508271605)

To: org.eclipse.wst.xsd.ui [1.2.500.v201208081537]

It happens with every SAP Plugin (UI5, ABAP Developer etc)

p.s

I've a 'clean' Eclipse Mars (not NWDS 7.5) with the SAP plugins which works without any problem on the same workstation.

How can I solve this issue?

Regards,

Omri

Eclipse log file:

Version: Mars.1 Release (4.5.1)

Build id: 20150924-1200

The API toolkit for SAP Mobile Platform

Cannot complete the install because one or more required items could not be found.

Software currently installed: Eclipse IDE for Java EE Developers 4.5.1.20150917-1200 (epp.package.jee 4.5.1.20150917-1200)

Missing requirement: XML Schema Editor 1.2.500.v201208081537 (org.eclipse.wst.xsd.ui 1.2.500.v201208081537) requires 'bundle org.eclipse.xsd.edit [2.2.0,3.0.0)' but it could not be found

Cannot satisfy dependency:

From: Eclipse IDE for Java EE Developers 4.5.1.20150917-1200 (epp.package.jee 4.5.1.20150917-1200)

To: org.eclipse.epp.package.jee.feature.feature.group [4.5.1.20150917-1200]

Cannot satisfy dependency:

From: EPP Java EE IDE Feature 4.5.1.20150917-1200 (org.eclipse.epp.package.jee.feature.feature.group 4.5.1.20150917-1200)

To: org.eclipse.wst.xml_ui.feature.feature.group 0.0.0

Cannot satisfy dependency:

From: Eclipse XML Editors and Tools 3.7.1.v201508271605 (org.eclipse.wst.xml_ui.feature.feature.group 3.7.1.v201508271605)

To: org.eclipse.wst.xsd.ui [1.2.500.v201208081537]

!SESSION 2016-08-03 08:17:34.176 -----------------------------------------------

eclipse.buildId=4.5.1.M20150904-0015

java.version=1.8.0_77

java.vendor=Oracle Corporation

BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US

Framework arguments: -product org.eclipse.epp.package.jee.product

Command-line arguments: -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.jee.product

!ENTRY org.eclipse.equinox.ds 1 0 2016-08-03 08:17:35.518

!MESSAGE Could not bind a reference of component com.sap.it.mapping.mm.serializer.factory. The reference is: Reference[name = Serializer, interface = com.sap.it.mapping.mm.serializer.Serializer, policy = dynamic, cardinality = 0..n, target = null, bind = addSerializer, unbind = removeSerializer]

!ENTRY org.eclipse.emf.ecore 2 0 2016-08-03 08:17:36.064

!MESSAGE Both 'com.sap.esr.tools.model' and 'com.sap.it.ictools.model' register a package for 'http://esr.sap.com'

!ENTRY org.eclipse.emf.ecore 2 0 2016-08-03 08:17:36.064

!MESSAGE Both 'com.sap.adt.datapreview.core.model' and 'com.sap.adt.datapreview.core.model' register an extension parser for 'model'

!ENTRY org.eclipse.emf.ecore 2 0 2016-08-03 08:17:36.064

!MESSAGE Both 'com.sap.ide.esr.tools.mapping.ui' and 'com.sap.it.ictools.mapping.ui' register an extension parser for 'mmap'

!ENTRY org.eclipse.emf.ecore 2 0 2016-08-03 08:17:36.080

!MESSAGE Both 'com.sap.ide.esr.tools.mapping.ui' and 'com.sap.it.ictools.mapping.ui' register an extension parser for 'flib'

!ENTRY org.eclipse.emf.ecore 2 0 2016-08-03 08:17:36.080

!MESSAGE Both 'com.sap.ide.esr.tools.mapping.ui' and 'com.sap.it.ictools.mapping.ui' register an extension parser for 'idoc'

!ENTRY org.eclipse.emf.ecore 2 0 2016-08-03 08:17:36.080

!MESSAGE Both 'com.sap.ide.esr.tools.mapping.ui' and 'com.sap.it.ictools.mapping.ui' register an extension parser for 'rfc'

!ENTRY org.eclipse.emf.ecore 2 0 2016-08-03 08:17:36.080

!MESSAGE Both 'com.sap.ide.esr.tools.mapping.ui' and 'com.sap.it.ictools.mapping.ui' register an extension parser for 'exdef'

!ENTRY org.eclipse.emf.ecore 2 0 2016-08-03 08:17:36.080

!MESSAGE Both 'com.sap.ide.esr.tools.sieditor' and 'com.sap.mts.simplified.datatype' register an extension parser for 'dt'

!ENTRY org.eclipse.ui 2 0 2016-08-03 08:17:36.407

!MESSAGE Warnings while parsing the key bindings from the 'org.eclipse.ui.commands' and 'org.eclipse.ui.bindings' extension point

!SUBENTRY 1 org.eclipse.ui 2 0 2016-08-03 08:17:36.407

!MESSAGE Cannot bind to an undefined command: plug-in='com.sap.ide.esr.tools.core.ui', id='com.sap.ide.esr.tools.ui.runchecks'

!ENTRY org.eclipse.jface 2 0 2016-08-03 08:17:38.094

!MESSAGE Keybinding conflicts occurred. They may interfere with normal accelerator operation.

!SUBENTRY 1 org.eclipse.jface 2 0 2016-08-03 08:17:38.094

!MESSAGE A conflict occurred for ALT+CTRL+O:

Binding(ALT+CTRL+O,

ParameterizedCommand(Command(com.sap.adt.tools.ui.openAdtLink,Open ADT Link,

,

Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),

org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@726d34de,

,,true),null),

org.eclipse.ui.defaultAcceleratorConfiguration,

org.eclipse.ui.contexts.window,,,system)

Binding(ALT+CTRL+O,

ParameterizedCommand(Command(com.sap.brmside.search.commandId,command,

,

Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),

org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@162796e1,

,,true),null),

org.eclipse.ui.defaultAcceleratorConfiguration,

org.eclipse.ui.contexts.window,,,system)

!SUBENTRY 1 org.eclipse.jface 2 0 2016-08-03 08:17:38.094

!MESSAGE A conflict occurred for ALT+CTRL+T:

Binding(ALT+CTRL+T,

ParameterizedCommand(Command(com.sap.template,Templates,

,

Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),

org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@17556c0a,

,,true),null),

org.eclipse.ui.defaultAcceleratorConfiguration,

org.eclipse.ui.contexts.window,,,system)

Binding(ALT+CTRL+T,

ParameterizedCommand(Command(org.eclipse.tm.terminal.connector.local.command.launch,Open Local Terminal on Selection,

,

Category(org.eclipse.tm.terminal.view.ui.commands.category,Terminal Commands,null,true),

org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@58bb50f9,

,,true),null),

org.eclipse.ui.defaultAcceleratorConfiguration,

org.eclipse.ui.contexts.window,,,system)

!SUBENTRY 1 org.eclipse.jface 2 0 2016-08-03 08:17:38.094

!MESSAGE A conflict occurred for ALT+CTRL+B:

Binding(ALT+CTRL+B,

ParameterizedCommand(Command(com.sap.bc,Business Component,

,

Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),

org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@43eb44f4,

,,true),null),

org.eclipse.ui.defaultAcceleratorConfiguration,

org.eclipse.ui.contexts.window,,,system)

Binding(ALT+CTRL+B,

ParameterizedCommand(Command(org.eclipse.debug.ui.commands.SkipAllBreakpoints,Skip All Breakpoints,

Sets whether or not any breakpoint should suspend execution,

Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),

org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@69d142f6,

,,true),null),

org.eclipse.ui.defaultAcceleratorConfiguration,

org.eclipse.ui.contexts.window,,,system)

!ENTRY org.eclipse.ui 2 0 2016-08-03 08:17:44.896

!MESSAGE The 'org.eclipse.ui.startup' extension from 'com.sap.ide.migration' does not provide a 'class' attribute.

This usage is deprecated and a 'class' attribute should be provided.

The release after Mars (4.5) will no longer support the deprecated usage!

!ENTRY org.eclipse.egit.ui 2 0 2016-08-03 08:17:45.348

!MESSAGE Warning: The environment variable HOME is not set. The following directory will be used to store the Git

user global configuration and to define the default location to store repositories: 'C:\Users\omricoh'. If this is

not correct please set the HOME environment variable and restart Eclipse. Otherwise Git for Windows and

EGit might behave differently since they see different configuration options.

This warning can be switched off on the Team > Git > Confirmations and Warnings preference page.

!ENTRY com.sap.ide.jvm.check 1 0 2016-08-03 08:17:45.410

!MESSAGE JVM Version Check succeeded.

!ENTRY com.sap.ide.ui5.services 1 1 2016-08-03 08:17:46.222

!MESSAGE Internal Info

Plugin Name: SAPUI5 Services

Plugin ID : com.sap.ide.ui5.services

Class : com.sap.ide.ui5.services.preferences.UI5LibrariesRegistry

Method : getBundleNamesUI5CoreLibs

Message : found UI libraries null

Exception :

!ENTRY com.sap.ide.ui5.services 1 1 2016-08-03 08:17:46.222

!MESSAGE Internal Info

Plugin Name: SAPUI5 Services

Plugin ID : com.sap.ide.ui5.services

Class : com.sap.ide.ui5.services.preferences.UI5LibrariesRegistry

Method : getBundleNamesUI5CoreLibs

Message : found UI libraries null

Exception :

!ENTRY com.sap.ide.ui5.services 1 1 2016-08-03 08:17:46.222

!MESSAGE Internal Info

Plugin Name: SAPUI5 Services

Plugin ID : com.sap.ide.ui5.services

Class : com.sap.ide.ui5.services.preferences.UI5LibrariesRegistry

Method : getBundleNamesUI5CoreLibs

Message : found UI libraries null

Exception :

!ENTRY com.sap.ide.ui5.services 1 1 2016-08-03 08:17:46.237

!MESSAGE Internal Info

Plugin Name: SAPUI5 Services

Plugin ID : com.sap.ide.ui5.services

Class : com.sap.ide.ui5.services.preferences.UI5LibrariesRegistry

Method : getBundleNamesUI5CoreLibs

Message : found UI libraries null

Exception :

!ENTRY org.eclipse.ui 2 0 2016-08-03 08:17:47.563

!MESSAGE The 'org.eclipse.ui.startup' extension from 'com.tssap.util.ui' does not provide a 'class' attribute.

This usage is deprecated and a 'class' attribute should be provided.

The release after Mars (4.5) will no longer support the deprecated usage!

!ENTRY com.tssap.util.ui 1 0 2016-08-03 08:17:47.969

!MESSAGE Sap NetWeaver Developer Studio - Platform Feature Version: UNKNOWN

!ENTRY org.eclipse.epp.logging.aeri.ui 2 5 2016-08-03 08:17:49.076

!MESSAGE The configuration download failed. Version: 1.0.1.v20150913-0716

!STACK 0

javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

at sun.security.ssl.Alerts.getSSLException(Alerts.java:192)

at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1949)

at sun.security.ssl.Handshaker.fatalSE(Handshaker.java:302)

at sun.security.ssl.Handshaker.fatalSE(Handshaker.java:296)

at sun.security.ssl.ClientHandshaker.serverCertificate(ClientHandshaker.java:1509)

at sun.security.ssl.ClientHandshaker.processMessage(ClientHandshaker.java:216)

at sun.security.ssl.Handshaker.processLoop(Handshaker.java:979)

at sun.security.ssl.Handshaker.process_record(Handshaker.java:914)

at sun.security.ssl.SSLSocketImpl.readRecord(SSLSocketImpl.java:1062)

at sun.security.ssl.SSLSocketImpl.performInitialHandshake(SSLSocketImpl.java:1375)

at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1403)

at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1387)

at org.apache.http.conn.ssl.SSLConnectionSocketFactory.createLayeredSocket(SSLConnectionSocketFactory.java:290)

at org.apache.http.impl.conn.HttpClientConnectionOperator.upgrade(HttpClientConnectionOperator.java:175)

at org.apache.http.impl.conn.PoolingHttpClientConnectionManager.upgrade(PoolingHttpClientConnectionManager.java:334)

at org.apache.http.impl.execchain.MainClientExec.establishRoute(MainClientExec.java:398)

at org.apache.http.impl.execchain.MainClientExec.execute(MainClientExec.java:219)

at org.apache.http.impl.execchain.ProtocolExec.execute(ProtocolExec.java:195)

at org.apache.http.impl.execchain.RetryExec.execute(RetryExec.java:86)

at org.apache.http.impl.execchain.RedirectExec.execute(RedirectExec.java:108)

at org.apache.http.impl.client.InternalHttpClient.doExecute(InternalHttpClient.java:184)

at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:82)

at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:57)

at org.apache.http.client.fluent.Executor.execute(Executor.java:206)

at org.eclipse.epp.internal.logging.aeri.ui.v2.AeriServer.request(AeriServer.java:57)

at org.eclipse.epp.internal.logging.aeri.ui.v2.AeriServer.refreshConfiguration(AeriServer.java:73)

at org.eclipse.epp.internal.logging.aeri.ide.Startup.initializeServerAndConfiguration(Startup.java:211)

at org.eclipse.epp.internal.logging.aeri.ide.Startup.access$4(Startup.java:201)

at org.eclipse.epp.internal.logging.aeri.ide.Startup$1.run(Startup.java:98)

at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

Caused by: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

at sun.security.validator.PKIXValidator.doBuild(PKIXValidator.java:387)

at sun.security.validator.PKIXValidator.engineValidate(PKIXValidator.java:292)

at sun.security.validator.Validator.validate(Validator.java:260)

at sun.security.ssl.X509TrustManagerImpl.validate(X509TrustManagerImpl.java:324)

at sun.security.ssl.X509TrustManagerImpl.checkTrusted(X509TrustManagerImpl.java:229)

at sun.security.ssl.X509TrustManagerImpl.checkServerTrusted(X509TrustManagerImpl.java:124)

at sun.security.ssl.ClientHandshaker.serverCertificate(ClientHandshaker.java:1491)

... 25 more

Caused by: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

at sun.security.provider.certpath.SunCertPathBuilder.build(SunCertPathBuilder.java:141)

at sun.security.provider.certpath.SunCertPathBuilder.engineBuild(SunCertPathBuilder.java:126)

at java.security.cert.CertPathBuilder.build(CertPathBuilder.java:280)

at sun.security.validator.PKIXValidator.doBuild(PKIXValidator.java:382)

... 31 more

!ENTRY org.eclipse.epp.logging.aeri.ui 2 29 2016-08-03 08:17:49.076

!MESSAGE Startup failed, AERI is disabled until next restart. Version: 1.0.1.v20150913-0716

!STACK 0

java.lang.RuntimeException: javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

at com.google.common.base.Throwables.propagate(Throwables.java:160)

at org.eclipse.epp.internal.logging.aeri.ide.Startup.initializeServerAndConfiguration(Startup.java:219)

at org.eclipse.epp.internal.logging.aeri.ide.Startup.access$4(Startup.java:201)

at org.eclipse.epp.internal.logging.aeri.ide.Startup$1.run(Startup.java:98)

at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

Caused by: javax.net.ssl.SSLHandshakeException: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

at sun.security.ssl.Alerts.getSSLException(Alerts.java:192)

at sun.security.ssl.SSLSocketImpl.fatal(SSLSocketImpl.java:1949)

at sun.security.ssl.Handshaker.fatalSE(Handshaker.java:302)

at sun.security.ssl.Handshaker.fatalSE(Handshaker.java:296)

at sun.security.ssl.ClientHandshaker.serverCertificate(ClientHandshaker.java:1509)

at sun.security.ssl.ClientHandshaker.processMessage(ClientHandshaker.java:216)

at sun.security.ssl.Handshaker.processLoop(Handshaker.java:979)

at sun.security.ssl.Handshaker.process_record(Handshaker.java:914)

at sun.security.ssl.SSLSocketImpl.readRecord(SSLSocketImpl.java:1062)

at sun.security.ssl.SSLSocketImpl.performInitialHandshake(SSLSocketImpl.java:1375)

at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1403)

at sun.security.ssl.SSLSocketImpl.startHandshake(SSLSocketImpl.java:1387)

at org.apache.http.conn.ssl.SSLConnectionSocketFactory.createLayeredSocket(SSLConnectionSocketFactory.java:290)

at org.apache.http.impl.conn.HttpClientConnectionOperator.upgrade(HttpClientConnectionOperator.java:175)

at org.apache.http.impl.conn.PoolingHttpClientConnectionManager.upgrade(PoolingHttpClientConnectionManager.java:334)

at org.apache.http.impl.execchain.MainClientExec.establishRoute(MainClientExec.java:398)

at org.apache.http.impl.execchain.MainClientExec.execute(MainClientExec.java:219)

at org.apache.http.impl.execchain.ProtocolExec.execute(ProtocolExec.java:195)

at org.apache.http.impl.execchain.RetryExec.execute(RetryExec.java:86)

at org.apache.http.impl.execchain.RedirectExec.execute(RedirectExec.java:108)

at org.apache.http.impl.client.InternalHttpClient.doExecute(InternalHttpClient.java:184)

at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:82)

at org.apache.http.impl.client.CloseableHttpClient.execute(CloseableHttpClient.java:57)

at org.apache.http.client.fluent.Executor.execute(Executor.java:206)

at org.eclipse.epp.internal.logging.aeri.ui.v2.AeriServer.request(AeriServer.java:57)

at org.eclipse.epp.internal.logging.aeri.ui.v2.AeriServer.refreshConfiguration(AeriServer.java:73)

at org.eclipse.epp.internal.logging.aeri.ide.Startup.initializeServerAndConfiguration(Startup.java:211)

... 3 more

Caused by: sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

at sun.security.validator.PKIXValidator.doBuild(PKIXValidator.java:387)

at sun.security.validator.PKIXValidator.engineValidate(PKIXValidator.java:292)

at sun.security.validator.Validator.validate(Validator.java:260)

at sun.security.ssl.X509TrustManagerImpl.validate(X509TrustManagerImpl.java:324)

at sun.security.ssl.X509TrustManagerImpl.checkTrusted(X509TrustManagerImpl.java:229)

at sun.security.ssl.X509TrustManagerImpl.checkServerTrusted(X509TrustManagerImpl.java:124)

at sun.security.ssl.ClientHandshaker.serverCertificate(ClientHandshaker.java:1491)

... 25 more

Caused by: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target

at sun.security.provider.certpath.SunCertPathBuilder.build(SunCertPathBuilder.java:141)

at sun.security.provider.certpath.SunCertPathBuilder.engineBuild(SunCertPathBuilder.java:126)

at java.security.cert.CertPathBuilder.build(CertPathBuilder.java:280)

at sun.security.validator.PKIXValidator.doBuild(PKIXValidator.java:382)

... 31 more

!ENTRY org.eclipse.jface 4 2 2016-08-03 08:18:05.987

!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.jface".

!STACK 0

java.lang.ClassCastException: org.eclipse.emf.common.util.URI$Fragment cannot be cast to java.net.URL

at com.sap.odata.dte.sap.smp.ui.explorer.ODataSMPViewLabelProvider.getImage(ODataSMPViewLabelProvider.java:88)

at org.eclipse.ui.internal.navigator.extensions.SafeDelegateCommonLabelProvider.getImage(SafeDelegateCommonLabelProvider.java:107)

at org.eclipse.ui.internal.navigator.NavigatorContentServiceLabelProvider.findImage(NavigatorContentServiceLabelProvider.java:199)

at org.eclipse.ui.internal.navigator.NavigatorContentServiceLabelProvider.getColumnImage(NavigatorContentServiceLabelProvider.java:107)

at org.eclipse.ui.internal.navigator.NavigatorContentServiceLabelProvider.getImage(NavigatorContentServiceLabelProvider.java:99)

at org.eclipse.ui.internal.navigator.NavigatorDecoratingLabelProvider$StyledLabelProviderAdapter.getImage(NavigatorDecoratingLabelProvider.java:57)

at org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.getImage(DelegatingStyledCellLabelProvider.java:195)

at org.eclipse.jface.viewers.DecoratingStyledCellLabelProvider.getImage(DecoratingStyledCellLabelProvider.java:173)

at org.eclipse.jface.viewers.DelegatingStyledCellLabelProvider.update(DelegatingStyledCellLabelProvider.java:121)

at org.eclipse.jface.viewers.DecoratingStyledCellLabelProvider.update(DecoratingStyledCellLabelProvider.java:136)

at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:154)

at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)

at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:114)

at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)

at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)

at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)

at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)

at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:473)

at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)

at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)

at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)

at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2176)

at org.eclipse.jface.viewers.AbstractTreeViewer.createTreeItem(AbstractTreeViewer.java:843)

at org.eclipse.jface.viewers.AbstractTreeViewer$1.run(AbstractTreeViewer.java:818)

at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)

at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:791)

at org.eclipse.jface.viewers.TreeViewer.createChildren(TreeViewer.java:611)

at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:762)

at org.eclipse.jface.viewers.AbstractTreeViewer.handleTreeExpand(AbstractTreeViewer.java:1493)

at org.eclipse.jface.viewers.TreeViewer.handleTreeExpand(TreeViewer.java:903)

at org.eclipse.jface.viewers.AbstractTreeViewer$4.treeExpanded(AbstractTreeViewer.java:1505)

at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:132)

at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)

at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4362)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1113)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1137)

at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1122)

at org.eclipse.swt.widgets.Tree.wmNotifyChild(Tree.java:7633)

at org.eclipse.swt.widgets.Control.wmNotify(Control.java:5704)

at org.eclipse.swt.widgets.Composite.wmNotify(Composite.java:1956)

at org.eclipse.swt.widgets.Control.WM_NOTIFY(Control.java:5256)

at org.eclipse.swt.widgets.Control.windowProc(Control.java:4732)

at org.eclipse.swt.widgets.Display.windowProc(Display.java:5050)

at org.eclipse.swt.internal.win32.OS.CallWindowProcW(Native Method)

at org.eclipse.swt.internal.win32.OS.CallWindowProc(OS.java:2443)

at org.eclipse.swt.widgets.Tree.callWindowProc(Tree.java:1553)

at org.eclipse.swt.widgets.Tree.WM_LBUTTONDOWN(Tree.java:6501)

at org.eclipse.swt.widgets.Control.windowProc(Control.java:4712)

at org.eclipse.swt.widgets.Tree.windowProc(Tree.java:6024)

at org.eclipse.swt.widgets.Display.windowProc(Display.java:5050)

at org.eclipse.swt.internal.win32.OS.DispatchMessageW(Native Method)

at org.eclipse.swt.internal.win32.OS.DispatchMessage(OS.java:2549)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3767)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1127)

at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:337)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1018)

at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:156)

at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:654)

at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:337)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:598)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:150)

at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:139)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:669)

at org.eclipse.equinox.launcher.Main.basicRun(Main.java:608)

at org.eclipse.equinox.launcher.Main.run(Main.java:1515)

at org.eclipse.equinox.launcher.Main.main(Main.java:1488)

!ENTRY org.eclipse.ui.workbench 4 2 2016-08-03 08:18:08.030

!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.ui.workbench".

!STACK 0

java.lang.NullPointerException

at org.eclipse.ogee.navigation.tree.MNViewLabelProvider.getResourceFromEObject(MNViewLabelProvider.java:176)

at org.eclipse.ogee.navigation.tree.MNViewLabelProvider.decorate(MNViewLabelProvider.java:109)

at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:273)

at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:83)

at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)

at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:367)

at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:349)

at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:372)

at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:332)

at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

!ENTRY org.eclipse.ui 4 4 2016-08-03 08:18:08.046

!MESSAGE Exception in Decorator. The 'OData Model Decorator' decorator will be disabled.

!ENTRY org.eclipse.ui 4 4 2016-08-03 08:18:08.046

!MESSAGE java.lang.NullPointerException

!STACK 0

java.lang.NullPointerException

at org.eclipse.ogee.navigation.tree.MNViewLabelProvider.getResourceFromEObject(MNViewLabelProvider.java:176)

at org.eclipse.ogee.navigation.tree.MNViewLabelProvider.decorate(MNViewLabelProvider.java:109)

at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:273)

at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:83)

at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)

at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:367)

at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:349)

at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:372)

at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:332)

at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

Add a comment
10|10000 characters needed characters exceeded

Related questions

1 Answer

  • Best Answer
    Posted on Aug 14, 2016 at 12:18 PM

    Solved it my own by installing two eclipse versions:

    1) 'NWDS' for the SAP J2EE

    2) 'Regular' eclipse for SAPUI5

    I guess the team that develop NWDS plugins is not the same team that develops the SAPUI5, oData plugins and both teams don't believe in integration tests )-:

    Add a comment
    10|10000 characters needed characters exceeded

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.